#ifndef _LUBEAPP_H_
#define _LUBEAPP_H_

#include <Arduino.h>

typedef struct tLubeConfig
{
  uint32_t DistancePerLube_Default = 0;
  uint32_t DistancePerLube_Rain = 0;
  uint32_t tankCapacity_ml = 320;
  uint32_t amountPerDose_µl = 0;
  uint32_t tankRemain_µl = 0;
  uint8_t TankRemindAtPercentage = 30;
  uint8_t PulsePerRevolution = 1;
  uint32_t TireWidth_mm = 150;
  uint32_t TireWidthHeight_Ratio = 70;
  uint32_t RimDiameter_Inch = 18;
  uint32_t DistancePerRevolution_mm = 2000;
} sLubeConfig;

extern void RunLubeApp(sLubeConfig *cfg);

#endif